#include <bits/stdc++.h>

using namespace std;

int l, n, p, q, r;

int main () {
    cin >> p >> q >> r;
    cin >> l >> n;
    
    int sol = 0;
    for (int i = l; i <= n; i++) {
        int zb = (int)(i / p) + (int)(i / q) + (int)(i / r);
        if (i % p > 0)
            zb++;
        if (i % q > 0)
            zb++;
        if (i % r > 0)
            zb++;
        if (zb <= i)
            sol++;
     }
     
     cout << sol << endl;
    
}